- Qt 6.5
- Qt WebEngine
- C++ Classes
- QtWebEngineCore
- QWebEnginePage
- Qt 6.5.1 Reference Documentation

# Obsolete Members for QWebEnginePage

The following members of class QWebEnginePage are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(deprecated (6.5))` void | quotaRequested(QWebEngineQuotaRequest quotaRequest)

## Member Function Documentation

### `[signal]` void QWebEnginePage::quotaRequested(QWebEngineQuotaRequest quotaRequest)

This function is deprecated since 6.5. We strongly advise against using it in new code.

This signal is no longer emitted.

Requesting host quota is no longer supported by Chromium. The behavior of navigator.webkitPersistentStorage is identical to navigator.webkitTemporaryStorage.

For further details, see https://crbug.com/1233525